INTERFACE
SUBROUTINE GPTF1AD(&
 & KST,KEN,LDLSTEP,&
 & PGMV,PGMVS,PGFL) 
USE PARKIND1 , ONLY : JPIM ,JPRB
USE YOMDIM , ONLY : NFLEVG ,NFTHER, NPROMA
USE YOM_YGFL , ONLY : YGFL ,YGFLC
USE YOMGMV
INTEGER(KIND=JPIM),INTENT(IN) :: KST
INTEGER(KIND=JPIM),INTENT(IN) :: KEN
LOGICAL ,INTENT(IN) :: LDLSTEP
REAL(KIND=JPRB) ,INTENT(INOUT) :: PGMV(NPROMA,NFLEVG,NDIMGMV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PGMVS(NPROMA,NDIMGMVS)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PGFL(NPROMA,NFLEVG,YGFL%NDIM)
END SUBROUTINE GPTF1AD
END INTERFACE
